import { FragmentCompiler } from '../compiler';
import { IRgbNode, RgbaNode } from '../types';
export declare class FogNode extends RgbaNode {
    private readonly source;
    private readonly fogColor;
    constructor(source: RgbaNode, fogColor: IRgbNode);
    compile(c: FragmentCompiler): {
        pars: string;
        chunk: string;
        out: string;
    };
}
