import { IUniform, ShaderMaterial } from 'three';
import { IRgbaNode, Mat4Node } from './types';
declare type NodeShaderMaterialParameters = {
    readonly color?: IRgbaNode;
    readonly transform?: Mat4Node;
    readonly uniforms?: {
        readonly [uniform: string]: IUniform;
    };
    readonly transparent?: boolean;
};
export declare class NodeShaderMaterial extends ShaderMaterial {
    constructor(params: NodeShaderMaterialParameters);
}
export {};
