import { Vec4Node, IRgbaNode, Mat4Node } from "..";
export declare function outputPosition(position: Vec4Node): Vec4Node;
export declare class ShaderGraph {
    private readonly out;
    constructor(out: {
        readonly color: IRgbaNode;
        readonly transform: Mat4Node;
    });
    compile(): {
        vertexShader: string;
        fragmentShader: string;
        uniforms: {
            [key: string]: {
                value: unknown;
            };
        };
    };
}
