import { Compiler } from '../compiler';
import { FloatNode, Sampler2DNode, Vec2Node, Vec4Node } from '../types';
export declare class GetPointShadowNode extends FloatNode {
    private shadowMap;
    private shadowMapSize;
    private shadowBias;
    private shadowRadius;
    private shadowCoord;
    private shadowCameraNear;
    private shadowCameraFar;
    constructor(shadowMap: Sampler2DNode, shadowMapSize: Vec2Node, shadowBias: FloatNode, shadowRadius: FloatNode, shadowCoord: Vec4Node, shadowCameraNear: FloatNode, shadowCameraFar: FloatNode);
    compile(c: Compiler): {
        pars: string;
        out: string;
    };
}
/**
 *
 */
